## calls-ui-call-data

calls-ui-call-data

## Functions

CallsUiCallData * | calls_ui_call_data_new ()
void | calls_ui_call_data_silence_ring ()
gboolean | calls_ui_call_data_get_silenced ()
gboolean | calls_ui_call_data_get_ui_active ()
CallsCallType | calls_ui_call_data_get_call_type ()
const char * | calls_ui_call_data_get_origin_id ()
char * | calls_ui_call_data_dup_origin_name ()
CuiCallState | calls_call_state_to_cui_call_state ()
CuiCallType | calls_call_type_to_cui_call_type ()

## Properties

CallsCall * | call | Read / Write / Construct Only
gboolean | inbound | Read
char * | origin-id | Read / Write / Construct Only
char * | protocol | Read
gboolean | silenced | Read
gboolean | ui-active | Read

## Signals

void | state-changed | Run Last

## Types and Values

#define | CALLS_TYPE_UI_CALL_DATA
| CallsUiCallData

## Object Hierarchy

        GObject
        ╰── CallsUiCallData

## Implemented Interfaces

CallsUiCallData implements CuiCall.

## Description

## Functions

### calls_ui_call_data_new ()

    CallsUiCallData *
    calls_ui_call_data_new (CallsCall *call,
                            const char *origin_id);

### calls_ui_call_data_silence_ring ()

    void
    calls_ui_call_data_silence_ring (CallsUiCallData *self);

Inhibit ringing

#### Parameters

self | a CallsUiCallData |

### calls_ui_call_data_get_silenced ()

    gboolean
    calls_ui_call_data_get_silenced (CallsUiCallData *self);

#### Parameters

self | a CallsUiCallData |

#### Returns

`TRUE` if call has been silenced to not ring, `FALSE` otherwise

### calls_ui_call_data_get_ui_active ()

    gboolean
    calls_ui_call_data_get_ui_active (CallsUiCallData *self);

#### Parameters

self | a CallsUiCallData |

#### Returns

`TRUE` if the UI should be shown, `FALSE` otherwise

### calls_ui_call_data_get_call_type ()

    CallsCallType
    calls_ui_call_data_get_call_type (CallsUiCallData *self);

#### Parameters

self | a CallsUiCallData |

#### Returns

The type of call, or CALLS_CALL_TYPE_UNKNOWN if not known.

### calls_ui_call_data_get_origin_id ()

    const char *
    calls_ui_call_data_get_origin_id (CallsUiCallData *self);

#### Parameters

self | a CallsUiCallData |

#### Returns

The id of the origin this call was placed from or `NULL`, if unknown.

[transfer none]

### calls_ui_call_data_dup_origin_name ()

    char *
    calls_ui_call_data_dup_origin_name (CallsUiCallData *self);

#### Parameters

self | a CallsUiCallData |

#### Returns

The name of the origin this call was placed from or `NULL`, if unknown.

[transfer full]

### calls_call_state_to_cui_call_state ()

    CuiCallState
    calls_call_state_to_cui_call_state (CallsCallState state);

#### Parameters

state | A CallsCallState |

#### Returns

a CuiCallState `state` is mapped to.

### calls_call_type_to_cui_call_type ()

    CuiCallType
    calls_call_type_to_cui_call_type (CallsCallType type);

#### Parameters

type | A CallsCallType |

#### Returns

a CuiCallType `type` is mapped to.

## Types and Values

### CALLS_TYPE_UI_CALL_DATA

    #define CALLS_TYPE_UI_CALL_DATA (calls_ui_call_data_get_type ())

### CallsUiCallData

    typedef struct _CallsUiCallData CallsUiCallData;

## Property Details

### The `“call”` property

      “call”                     CallsCall *

The call.

Owner: CallsUiCallData

Flags: Read / Write / Construct Only

### The `“inbound”` property

      “inbound”                  gboolean

Whether the call is inbound.

Owner: CallsUiCallData

Flags: Read

Default value: FALSE

### The `“origin-id”` property

      “origin-id”                char *

ID of the origin used for the call.

Owner: CallsUiCallData

Flags: Read / Write / Construct Only

Default value: NULL

### The `“protocol”` property

      “protocol”                 char *

The protocol for the call, e.g. tel, sip.

Owner: CallsUiCallData

Flags: Read

Default value: NULL

### The `“silenced”` property

      “silenced”                 gboolean

Whether the call ringing should be silenced.

Owner: CallsUiCallData

Flags: Read

Default value: FALSE

### The `“ui-active”` property

      “ui-active”                gboolean

Whether the UI should be shown.

Owner: CallsUiCallData

Flags: Read

Default value: FALSE

## Signal Details

### The `“state-changed”` signal

    void
    user_function (CallsUiCallData *self,
                   CuiCallState     new_state,
                   CuiCallState     old_state,
                   gpointer         user_data)

This signal is emitted when the state of the call changes, for example when it's answered or when the call is disconnected.

#### Parameters

self | The CallsUiCallData instance. |
new_state | The new state of the call. |
old_state | The old state of the call. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last